## pam 1.0.1-maemo2

=== debian/changelog ===
pam (1.0.1-maemo2) stable; urgency=high

  * fixed postinst script from bash to sh - thanks to woody14619

 -- Thomas Maass <mase@setho.org>  Mon, 21 Feb 2011 19:24:00 +0200
