## pam 1.0.1-maemo3

=== debian/changelog ===
pam (1.0.1-maemo3) unstable; urgency=low

  * Fixed docs.
  * Removed selinux.

 -- Thomas Maass <mase@setho.org>  Wed, 23 Feb 2011 18:32:00 +0200
