=== debian/rules ===
--- 
+++ 
@@ -51,7 +51,7 @@
 	--sysconfdir=/etc --prefix=/usr --enable-static --enable-shared \
 	--mandir=/usr/share/man --infodir=/usr/share/info --libdir=/lib \
 	--sbindir=/sbin --enable-docdir=/usr/share/doc/libpam-doc \
-	--with-mailspool=/var/mail --disable-audit
+	--with-mailspool=/var/mail --disable-audit --disable-selinux
 	touch configure-stamp
 
 
@@ -95,7 +95,7 @@
 	dh_install -i
 
 	dh_installman -i
-	dh_installdocs -i
+	dh_installdocs -i debian/README.Maemo
 	dh_installchangelogs -i $(BUILD_TREE)/ChangeLog
 	dh_compress -i -X.html
 	dh_link -i
@@ -121,7 +121,7 @@
 	rm -f $(d)/libpam-modules/usr/share/man/man5/pam.d.5
 
 	dh_installdebconf -a
-	dh_installdocs -a $(BUILD_TREE)/README
+	dh_installdocs -a $(BUILD_TREE)/README debian/README.Maemo
 	dh_installexamples -a
 	find $(d)/libpam0g-dev/usr/share/doc/libpam0g-dev/examples -type f -name 'Makefile*' -print0 | xargs -0 rm -f
