## pam 1.0.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: pam
 Type: Package
 Title: Fast and Efficient Processing of PAM Data
-Version: 1.0.2
+Version: 1.0.4
 Authors@R: c(
     person(
         "Julien",
@@ -28,9 +28,9 @@
 Imports: rlang, data.table, dplyr, ggplot2, minpack.lm, cowplot,
         gridExtra, ggthemes
 NeedsCompilation: no
-Packaged: 2025-02-25 09:04:06 UTC; julien
-Author: Julien Böhm [cre, aut] (<https://orcid.org/0009-0002-2704-2289>),
-  Philipp Schrag [aut] (<https://orcid.org/0009-0002-7697-5536>)
+Packaged: 2025-07-29 11:46:56 UTC; julien
+Author: Julien Böhm [cre, aut] (ORCID: <https://orcid.org/0009-0002-2704-2289>),
+  Philipp Schrag [aut] (ORCID: <https://orcid.org/0009-0002-7697-5536>)
 Maintainer: Julien Böhm <julien.boehm@uni-rostock.de>
 Repository: CRAN
-Date/Publication: 2025-02-25 09:30:02 UTC
+Date/Publication: 2025-07-29 12:20:10 UTC
