## pam 1.1.8-3.6ubuntu2.18.04.3

=== debian/changelog ===
pam (1.1.8-3.6ubuntu2.18.04.3) bionic; urgency=medium

  * Backport pam_faillock module from pam 1.4.0 (LP: #1927796)
    - debian/patches-applied/add_pam_faillock.patch: add module.
    - debian/patches-applied/pam_faillock_create_directory: create dir
      before creating file in modules/pam_faillock/faillock.c.
    - debian/rules: set execute permissions on pam_faillock test.
    - debian/libpam-modules-bin.install: install faillock binary and man
      page.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 08 Apr 2021 07:27:58 -0400

pam (1.1.8-3.6ubuntu2.18.04.2) bionic; urgency=medium

  * debian/libpam-modules.postinst: Add /snap/bin to $PATH in
    /etc/environment. (LP: #1659719)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 22 Jul 2020 11:40:59 +1200
