## pam 1.1.8-3.6ubuntu2.18.04.6

=== debian/changelog ===
pam (1.1.8-3.6ubuntu2.18.04.6) bionic-security; urgency=medium

  * SECURITY REGRESSION: fix CVE-2022-28321 patch location
    - debian/patches-applied/CVE-2022-28321.patch: pam_access: handle
      hostnames in access.conf
    - CVE-2022-28321

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 02 Feb 2023 14:54:07 +0530

pam (1.1.8-3.6ubuntu2.18.04.4) bionic-security; urgency=medium

  * SECURITY UPDATE: authentication bypass vulnerability
    - debian/patches/CVE-2022-28321.patch: pam_access: handle hostnames in
      access.conf
    - CVE-2022-28321

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 24 Jan 2023 17:30:04 +0530
