=== debian/control ===
Source: pam
Section: libs
Priority: optional
Uploaders: Sam Hartman <hartmans@debian.org>, Roger Leigh <rleigh@debian.org>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Steve Langasek <vorlon@debian.org>
Standards-Version: 3.9.8
Build-Depends: libcrack2-dev (>= 2.8), bzip2, debhelper (>= 9), quilt (>= 0.48-1), flex, libdb-dev, libselinux1-dev [linux-any], po-debconf, dh-autoreconf, autopoint, libaudit-dev [linux-any], pkg-config, libfl-dev, libfl-dev:native, docbook-xsl, docbook-xml, xsltproc, libxml2-utils, w3m
Build-Conflicts-Indep: fop
Build-Conflicts: libdb4.2-dev, libxcrypt-dev
Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/pam/ubuntu
XS-Debian-Vcs-Bzr: https://alioth.debian.org/scm/loggerhead/pkg-pam/debian/sid
XS-Debian-Vcs-Browser: https://alioth.debian.org/scm/loggerhead/pkg-pam/debian/sid/files
Homepage: http://www.linux-pam.org/

Package: libpam0g
Priority: required
Architecture: any
Multi-Arch: same
Replaces: libpam0g-util
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: libpam-doc
Description: Pluggable Authentication Modules library
 Contains the shared library for Linux-PAM, a library that enables the
 local system administrator to choose how applications authenticate users.
 In other words, without rewriting or recompiling a PAM-aware application,
 it is possible to switch between the authentication mechanism(s) it uses.
 One may entirely upgrade the local authentication system without touching
 the applications themselves.

Package: libpam-modules
Section: admin
Priority: required
Architecture: any
Multi-Arch: same
Pre-Depends: ${shlibs:Depends}, ${misc:Depends}, libpam0g (>= 1.1.3-2),
	libpam-modules-bin (= ${binary:Version})
Conflicts: libpam-motd, libpam-mkhomedir, libpam-umask
Replaces: libpam0g-util, libpam-umask
Recommends: update-motd
Provides: libpam-motd, libpam-mkhomedir, libpam-umask
Description: Pluggable Authentication Modules for PAM
 This package completes the set of modules for PAM. It includes the
  pam_unix.so module as well as some specialty modules.

Package: libpam-modules-bin
Section: admin
Priority: required
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libpam-modules (<< 1.1.3-8)
Description: Pluggable Authentication Modules for PAM - helper binaries
 This package contains helper binaries used by the standard set of PAM
 modules in the libpam-modules package.

Package: libpam-runtime
Section: admin
Priority: required
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, debconf (>= 1.5.19) | cdebconf, libpam-modules (>= 1.0.1-6)
Replaces: libpam0g-util, libpam0g-dev
Conflicts: libpam0g-util
Description: Runtime support for the PAM library
 Contains configuration files and  directories required for
 authentication  to work on Debian systems.  This package is required
 on almost all installations.

Package: libpam0g-dev
Section: libdevel
Priority: optional
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libpam0g (= ${binary:Version}), libc6-dev|libc-dev
Provides: libpam-dev
Description: Development files for PAM
 Contains C header files and development libraries for libpam, the Pluggable
 Authentication Modules, a library that enables the local system
 administrator to choose how applications authenticate users.
 .
 PAM decouples applications from the authentication mechanism, making it
 possible to upgrade the authentication system without recompiling or
 rewriting the applications.

Package: libpam-cracklib
Section: admin
Priority: optional
Architecture: any
Multi-Arch: same
Replaces: libpam0g-cracklib, libpam-modules (<< 1.1.0-3)
Depends: ${misc:Depends}, ${shlibs:Depends}, libpam-runtime (>= 1.0.1-6), cracklib-runtime, wamerican | wordlist
Description: PAM module to enable cracklib support
 This package includes libpam_cracklib, a PAM module that tests
 passwords to make sure they are not too weak during password change.

Package: libpam-doc
Provides: pam-doc
Section: doc
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Description: Documentation of PAM
 Contains documentation (in HTML, ASCII, and PostScript format) for libpam,
 the Pluggable Authentication Modules library, a library that enables the
 local system administrator to choose how applications authenticate users.
