## pam 1.1.8-3.6ubuntu3

=== debian/changelog ===
pam (1.1.8-3.6ubuntu3) cosmic; urgency=medium

  * debian/patches-applied/fix-pam_tty_audit.patch: (LP: #1666203)
    Fix pam_tty_audit log_passwd support and regression.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Thu, 28 Feb 2019 01:20:35 +0000
