## pam 1.3.1

=== debian/changelog ===
pam (1.3.1-5ubuntu4) focal; urgency=medium

  * Return only PAM_IGNORE or error from pam_motd (LP: #1856703)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 17 Dec 2019 17:41:40 +0100

pam (1.3.1-5ubuntu3) focal; urgency=medium

  * Fix patches to fix FTBFS

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 05 Dec 2019 13:18:35 +0100

pam (1.3.1-5ubuntu2) focal; urgency=medium

  * pam_motd: Export MOTD_SHOWN=pam after showing MOTD (LP: #1855092)

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 04 Dec 2019 12:23:57 +0100

pam (1.3.1-5ubuntu1) disco; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - debian/control: have libpam-modules recommend update-motd package
    - debian/libpam-modules.postinst: Add PATH to /etc/environment if it's
      not present there or in /etc/security/pam_env.conf. (should send to
      Debian).
    - debian/libpam0g.postinst: only ask questions during update-manager when
      there are non-default services running.
    - debian/libpam0g.postinst: check if gdm is actually running before
      trying to reload it.
    - debian/libpam0g.postinst: the init script for 'samba' is now named
      'smbd' in Ubuntu, so fix the restart handling.
    - don't notify about xdm restarts during a release-upgrade
    - debian/patches-applied/ubuntu-rlimit_nice_correction: Explicitly
      initialise RLIMIT_NICE rather than relying on the kernel limits.
    - debian/patches-applied/pam_umask_usergroups_from_login.defs.patch:
      Deprecate pam_unix's explicit "usergroups" option and instead read it
      from /etc/login.def's "USERGROUP_ENAB" option if umask is only defined
      there. This restores compatibility with the pre-PAM behaviour of login.
    - debian/patches-applied/pam_motd-legal-notice: display the contents of
      /etc/legal once, then set a flag in the user's homedir to prevent
      showing it again.
    - debian/update-motd.5, debian/libpam-modules.manpages: add a manpage
      for update-motd, with some best practices and notes of explanation.
    - debian/patches/update-motd-manpage-ref: add a reference in pam_motd(8)
      to update-motd(5)
    - debian/local/common-session{,-noninteractive}: Enable pam_umask by
      default, now that the umask setting is gone from /etc/profile.
    - debian/local/pam-auth-update: Add the new md5sums for pam_umask addition.
    - debian/patches-applied/extrausers.patch: Add a pam_extrausers module
      that is basically just a copy of pam_unix but looks at
      /var/lib/extrausers/{group,passwd,shadow} instead of /etc/
    - debian/libpam-modules-bin.install: install the helper binaries for
      pam_extrausers to /sbin
    - debian/rules: Make pam_extrausers_chkpwd sguid shadow
    - Add lintian override for pam_extrausers_chkpwd

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Feb 2019 23:16:59 -0800

pam (1.3.1-5) unstable; urgency=medium

  * xdm restart check was inverted in the prior upload; turn it the right
    way around
  * Correctly display the notification when a manual DM restart is needed.

 -- Steve Langasek <vorlon@debian.org>  Thu, 14 Feb 2019 07:08:47 +0000

pam (1.3.1-4ubuntu1) disco; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - debian/control: have libpam-modules recommend update-motd package
    - debian/libpam-modules.postinst: Add PATH to /etc/environment if it's
      not present there or in /etc/security/pam_env.conf. (should send to
      Debian).
    - debian/libpam0g.postinst: only ask questions during update-manager when
      there are non-default services running.
    - debian/libpam0g.postinst: check if gdm is actually running before
      trying to reload it.
    - debian/libpam0g.postinst: the init script for 'samba' is now named
      'smbd' in Ubuntu, so fix the restart handling.
    - don't notify about xdm restarts during a release-upgrade
    - debian/patches-applied/ubuntu-rlimit_nice_correction: Explicitly
      initialise RLIMIT_NICE rather than relying on the kernel limits.
    - debian/patches-applied/pam_umask_usergroups_from_login.defs.patch:
      Deprecate pam_unix's explicit "usergroups" option and instead read it
      from /etc/login.def's "USERGROUP_ENAB" option if umask is only defined
      there. This restores compatibility with the pre-PAM behaviour of login.
    - debian/patches-applied/pam_motd-legal-notice: display the contents of
      /etc/legal once, then set a flag in the user's homedir to prevent
      showing it again.
    - debian/update-motd.5, debian/libpam-modules.manpages: add a manpage
      for update-motd, with some best practices and notes of explanation.
    - debian/patches/update-motd-manpage-ref: add a reference in pam_motd(8)
      to update-motd(5)
    - debian/local/common-session{,-noninteractive}: Enable pam_umask by
      default, now that the umask setting is gone from /etc/profile.
    - debian/local/pam-auth-update: Add the new md5sums for pam_umask addition.
    - debian/patches-applied/extrausers.patch: Add a pam_extrausers module
      that is basically just a copy of pam_unix but looks at
      /var/lib/extrausers/{group,passwd,shadow} instead of /etc/
    - debian/libpam-modules-bin.install: install the helper binaries for
      pam_extrausers to /sbin
    - debian/rules: Make pam_extrausers_chkpwd sguid shadow
    - Add lintian override for pam_extrausers_chkpwd
  * Dropped changes, included in Debian:
    - Fix the name of the samba service being restarted
    - Fix debian/patches-applied/update-motd to apply the correct changes
      to the README

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Feb 2019 15:43:33 -0800

pam (1.3.1-4) unstable; urgency=medium

  * Fix the name of the samba services to be restarted on upgrade.

 -- Steve Langasek <vorlon@debian.org>  Wed, 13 Feb 2019 23:39:03 +0000

pam (1.3.1-3) unstable; urgency=medium

  * Fix debian/patches-applied/update-motd to apply the correct changes
    to the README (should be forwarded to Debian)

