=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: pam
 Section: libs
 Priority: optional
-Uploaders: Sam Hartman <hartmans@debian.org>, Roger Leigh <rleigh@debian.org>
+Uploaders: Sam Hartman <hartmans@debian.org>
+XSBC-Original-Maintainer: Steve Langasek <vorlon@debian.org>
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Steve Langasek <vorlon@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: libcrack2-dev (>= 2.8), bzip2, debhelper (>= 9), quilt (>= 0.48-1), flex, libdb-dev, libselinux1-dev [linux-any], po-debconf, dh-autoreconf, autopoint, libaudit-dev [linux-any], pkg-config, libfl-dev, libfl-dev:native, docbook-xsl, docbook-xml, xsltproc, libxml2-utils, w3m
+Standards-Version: 4.3.0
+Build-Depends: libcrack2-dev (>= 2.8), bzip2, debhelper (>= 9), quilt (>= 0.48-1), flex, libdb-dev, libselinux1-dev [linux-any], po-debconf, dh-autoreconf, autopoint, libaudit-dev [linux-any] <!stage1>, pkg-config, libfl-dev, libfl-dev:native, docbook-xsl, docbook-xml, xsltproc, libxml2-utils, w3m
 Build-Conflicts-Indep: fop
 Build-Conflicts: libdb4.2-dev, libxcrypt-dev
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/pam/ubuntu
-XS-Debian-Vcs-Bzr: https://alioth.debian.org/scm/loggerhead/pkg-pam/debian/sid
-XS-Debian-Vcs-Browser: https://alioth.debian.org/scm/loggerhead/pkg-pam/debian/sid/files
+XS-Debian-Vcs-Browser: https://salsa.debian.org/vorlon/pam
+XS-Debian-Vcs-Git: https://salsa.debian.org/vorlon/pam.git
 Homepage: http://www.linux-pam.org/
+Rules-Requires-Root: binary-targets
 
 Package: libpam0g
-Priority: required
 Architecture: any
 Multi-Arch: same
 Replaces: libpam0g-util
@@ -34,7 +34,7 @@
 Priority: required
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${shlibs:Depends}, ${misc:Depends}, libpam0g (>= 1.1.3-2),
+Pre-Depends: ${shlibs:Depends}, ${misc:Depends},
 	libpam-modules-bin (= ${binary:Version})
 Conflicts: libpam-motd, libpam-mkhomedir, libpam-umask
 Replaces: libpam0g-util, libpam-umask
@@ -70,7 +70,6 @@
 
 Package: libpam0g-dev
 Section: libdevel
-Priority: optional
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, libpam0g (= ${binary:Version}), libc6-dev|libc-dev
@@ -86,7 +85,6 @@
 
 Package: libpam-cracklib
 Section: admin
-Priority: optional
 Architecture: any
 Multi-Arch: same
 Replaces: libpam0g-cracklib, libpam-modules (<< 1.1.0-3)
@@ -98,7 +96,6 @@
 Package: libpam-doc
 Provides: pam-doc
 Section: doc
-Priority: optional
 Architecture: all
 Depends: ${misc:Depends}
 Description: Documentation of PAM
