=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 DEB_LDFLAGS_MAINT_APPEND += -lpthread
 endif
 
-DEB_HOST_MULTIARCH	:= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 LC_COLLATE=C
 export LC_COLLATE
@@ -21,7 +21,7 @@
 	dh $@ --with quilt,autoreconf
 
 # avoid libaudit-dev when bootstrapping
-ifneq (,$(filter $(DEB_BUILD_PROFILE),stage1))
+ifneq (,$(filter stage1,$(DEB_BUILD_PROFILES)))
   CONFIGURE_OPTS += --disable-audit
 endif  
 
@@ -30,7 +30,6 @@
 		--libdir=/lib/$(DEB_HOST_MULTIARCH) \
 		--enable-isadir=/lib/security \
 		$(CONFIGURE_OPTS)
-	chmod 775 modules/pam_faillock/tst-pam_faillock
 
 # .install files don't have "except for" handling, so we need to exclude
 # our module that doesn't match right here
