## pam 1.3.1.12

=== debian/changelog ===
pam (1.3.1.12-1) unstable; urgency=medium

  * update

 -- Steve Langasek <vorlon@debian.org>  Wed, 02 Jun 2021 14:54:30 +0800

pam (1.3.1.11-1+dde) unstable; urgency=medium

  * update for version number.
  * 

 -- system-dev <system-dev@untiontech.com>  Tue, 23 Mar 2021 10:16:17 +0800
