=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 export LC_COLLATE
 
 export QUILT_PATCH_DIR = debian/patches-applied
+export DEB_BUILD_MAINT_OPTIONS=hardening=-fortify
 
 d = $(CURDIR)/debian
 dl = $(d)/local
@@ -62,6 +63,4 @@
 ifneq (,$(findstring libpam-modules, $(shell dh_listpackages)))
 	chgrp shadow $(d)/libpam-modules-bin/sbin/unix_chkpwd
 	chmod 02755 $(d)/libpam-modules-bin/sbin/unix_chkpwd
-	chgrp shadow $(d)/libpam-modules-bin/sbin/pam_extrausers_chkpwd
-	chmod 02755 $(d)/libpam-modules-bin/sbin/pam_extrausers_chkpwd
 endif
